--- title: "change-datafence-infra" slug: "change-datafence-infra" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/change-datafence-infra" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # change-datafence-infra Available in VPC Change Datafence infrastructure settings. This is an infrastructure change that takes some time, so it will be processed asynchronously. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/fence/change-datafence-infra | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `description` | String | Optional | Datafence description | | `updateFence` | Object | Required | Datafence infrastructure settings change information | | `updateFence.fenceServerList` | Array | Conditional | Datafence server list: [fenceServerList](/docs/en/change-datafence-infra#fenceServerList) - Set between 1-4 servers. | | `updateFence.fenceNasList` | Array | Conditional | Datafence NAS list: [fenceNasList](/docs/en/change-datafence-infra#fenceNasList) - Set 1 or more. | #### `fenceServerList` The following describes `fenceServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Action type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | Datafence server instance number - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | Server spec code - Required if `actionType` is `CREATE` or `UPDATE` - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Conditional | Server software code - Required if `actionType` is `CREATE` or `UPDATE` | | `userPassword` | String | Conditional | Datafence server access password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space - Required if `actionType` is `CREATE` | | `serverImageNo` | String | Conditional | User server image name - See [get-fence-custom-image](/docs/en/get-fence-custom-image). - Required if `actionType` is `CREATE` | #### `fenceNasList` The following describes `fenceNasList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Action type - `CREATE` \| `DELETE` - `CREATE`: create - `DELETE`: terminate | | `nasInstanceNo` | String | Conditional | NAS instance number - Required if `actionType` is `DELETE` | | `nasSize` | Integer | Conditional | NAS volume size (GB) - 500-10,000 - Set in 100 GB increments. - Required if `actionType` is `CREATE` | | `count` | Integer | Conditional | NAS count - Required if `actionType` is `CREATE` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datafence.apigw.ntruss.com/api/v1/fence/change-datafence-infra' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "fenceId": 1, "description": "datafence001", "updateFence": { "fenceServerList": [ { "actionType": "UPDATE", "serverInstanceNo": 10000, "specCode": "SVR.VSVR.STAND.C004.M016.NET.SSD.B100.G002", "softwareCode": "SW.VSVR.APP.LNX64.UBNTU.SVR2004.TNSFL.LATEST.B050", "userPassword": "Password1000#", "serverImageNo": 9999 } ], "fenceNasList": [ { "actionType": "UPDATE", "nasInstanceNo": 10000, "nasSize": 500, "count": 2 } ] } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | String | - | API processing result message | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": "Fence modification requested." } ```